cabal-fmt-0.1.9: Format .cabal files

Copyright | Oleg Grenrus
License | GPL-3.0-or-later
Safe Haskell | Safe-Inferred
Language | Haskell2010

CabalFmt.Refactoring.Type

Description

Synopsis

- type FieldRefactoring = forall r m. MonadCabalFmt r m => Field CommentsPragmas -> m (Maybe (Field CommentsPragmas))
- type CommentsPragmas = (Comments, [FieldPragma])
- rewriteFields :: MonadCabalFmt r m => (Field CommentsPragmas -> m (Maybe (Field CommentsPragmas))) -> [Field CommentsPragmas] -> m [Field CommentsPragmas]

# Documentation

type FieldRefactoring = forall r m. MonadCabalFmt r m => Field CommentsPragmas -> m (Maybe (Field CommentsPragmas)) #

type CommentsPragmas = (Comments, [FieldPragma]) #

rewriteFields :: MonadCabalFmt r m => (Field CommentsPragmas -> m (Maybe (Field CommentsPragmas))) -> [Field CommentsPragmas] -> m [Field CommentsPragmas] #

A top-to-bottom rewrite of sections and fields